#ifndef _COM_SUN_STAR_TEXT_PAGENUMBERTYPE_HPP_
#define _COM_SUN_STAR_TEXT_PAGENUMBERTYPE_HPP_

#ifndef _SAL_CONFIG_H_
#include "sal/config.h"
#endif

#ifndef _COM_SUN_STAR_TEXT_PAGENUMBERTYPE_HDL_
#include "com/sun/star/text/PageNumberType.hdl"
#endif

#ifndef _COM_SUN_STAR_UNO_TYPE_HXX_
#include "com/sun/star/uno/Type.hxx"
#endif
#ifndef INCLUDED_CPPU_UNOTYPE_HXX
#include "cppu/unotype.hxx"
#endif
#ifndef _OSL_MUTEX_HXX_
#include "osl/mutex.hxx"
#endif

namespace com { namespace sun { namespace star { namespace text {

inline ::com::sun::star::uno::Type const & cppu_detail_getUnoType(::com::sun::star::text::PageNumberType const *) {
    static typelib_TypeDescriptionReference * the_type = 0;
    if ( !the_type )
    {
        typelib_static_type_init( &the_type, typelib_TypeClass_ENUM, "com.sun.star.text.PageNumberType" );
    }
    return * reinterpret_cast< ::com::sun::star::uno::Type * >( &the_type );
};

} } } }

inline ::com::sun::star::uno::Type const & SAL_CALL getCppuType(::com::sun::star::text::PageNumberType const *) SAL_THROW(()) {
    return ::cppu::UnoType< ::com::sun::star::text::PageNumberType >::get();
}

#endif // _COM_SUN_STAR_TEXT_PAGENUMBERTYPE_HPP_
